petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoDefaultCMonitor

same as TaoMonitorDefault() except it prints the norm of the constraints function. It can be turned on from the command line using the -tao_cmonitor option

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoDefaultCMonitor(Tao tao, void *ctx)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| ctx | - PetscViewer context or NULL

### Options Database Keys

-tao_cmonitor -

### See Also

TaoMonitorDefault(), TaoSetMonitor()

### Level

advanced

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages